FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Ubuntu > Ubuntu User

 
 
LinkBack Thread Tools
 
Old 11-02-2009, 08:10 PM
NoOp
 
Default Dist Upgrade

On 11/01/2009 10:05 PM, Tom H wrote:
...
...
> You have these errors because you have run update-manager as root.
>
> Try:
> sudo update-manager -p
>

Just as an fyi:

There is no man page (that I can find) for 'do-release-upgrade'. However:

$ cat /usr/bin/do-release-upgrade

shows the options.


--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
 
Old 11-02-2009, 10:17 PM
Emil Payne
 
Default Dist Upgrade

NoOp wrote:
> On 11/02/2009 12:06 PM, Emil Payne wrote:
> ..
>> What the heck is lenny doing in there? I don't see lenny in my
>> repository lists anywhere.
>>
>> Dell-Mint john # apt-get update
>> Ign http://ftp.us.debian.org karmic-proposed-updates Release.gpg
>> Get:1 http://http.us.debian.org lenny Release.gpg [1032B]
>
> Umm... why is your repository target set for us.debian.org?
>
>
>
>
I don't know. I used synaptic to re-install update-manager in case
there was a problem and it wiped out all my third party repositories
like medibuntu, so I just used it bare hoping to get an upgrade.
Synaptic showed no new upgrades or even updates, but update-manager
showed a bunch of upgrades. Now it is telling me things like it is
unable to upgrade from lenny to jaunty. etc/apt/sources.list and
./sources.list.saves all have "karmic" listed as the distro.


--
=======================
Fantasy Football Rules:
Wands are Offensive.
Wings are Defensive.
=======================

--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
 
Old 11-02-2009, 10:29 PM
NoOp
 
Default Dist Upgrade

On 11/02/2009 03:17 PM, Emil Payne wrote:
>
>
> NoOp wrote:
>> On 11/02/2009 12:06 PM, Emil Payne wrote:
>> ..
>>> What the heck is lenny doing in there? I don't see lenny in my
>>> repository lists anywhere.
>>>
>>> Dell-Mint john # apt-get update
>>> Ign http://ftp.us.debian.org karmic-proposed-updates Release.gpg
>>> Get:1 http://http.us.debian.org lenny Release.gpg [1032B]
>>
>> Umm... why is your repository target set for us.debian.org?
>>
>>
>>
>>
> I don't know. I used synaptic to re-install update-manager in case
> there was a problem and it wiped out all my third party repositories
> like medibuntu, so I just used it bare hoping to get an upgrade.
> Synaptic showed no new upgrades or even updates, but update-manager
> showed a bunch of upgrades. Now it is telling me things like it is
> unable to upgrade from lenny to jaunty. etc/apt/sources.list and
> ./sources.list.saves all have "karmic" listed as the distro.
>
>

Doesn't matter if it says karmic etc., at this point. You need to change
from us.debian.org. Use System|Administration|Software Sources|Ubuntu
Software and change the 'Download from:' to 'Main server', then 'Close',
then 'Reload'. You can of course modify sources.list, but for now I'd
just recommend you use the above.

Now, from a terminal (get out of root mode and go back to a standard
user mode):


$ sudo apt-get update && apt-get update

and let us know the result.



--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
 
Old 11-02-2009, 10:41 PM
Emil Payne
 
Default Dist Upgrade

NoOp wrote:
> On 11/02/2009 03:17 PM, Emil Payne wrote:
>>
>> NoOp wrote:
>>> On 11/02/2009 12:06 PM, Emil Payne wrote:
>>> ..
>>>> What the heck is lenny doing in there? I don't see lenny in my
>>>> repository lists anywhere.
>>>>
>>>> Dell-Mint john # apt-get update
>>>> Ign http://ftp.us.debian.org karmic-proposed-updates Release.gpg
>>>> Get:1 http://http.us.debian.org lenny Release.gpg [1032B]
>>> Umm... why is your repository target set for us.debian.org?
>>>
>>>
>>>
>>>
>> I don't know. I used synaptic to re-install update-manager in case
>> there was a problem and it wiped out all my third party repositories
>> like medibuntu, so I just used it bare hoping to get an upgrade.
>> Synaptic showed no new upgrades or even updates, but update-manager
>> showed a bunch of upgrades. Now it is telling me things like it is
>> unable to upgrade from lenny to jaunty. etc/apt/sources.list and
>> ./sources.list.saves all have "karmic" listed as the distro.
>>
>>
>
> Doesn't matter if it says karmic etc., at this point. You need to change
> from us.debian.org. Use System|Administration|Software Sources|Ubuntu
> Software and change the 'Download from:' to 'Main server', then 'Close',
> then 'Reload'. You can of course modify sources.list, but for now I'd
> just recommend you use the above.
>
> Now, from a terminal (get out of root mode and go back to a standard
> user mode):
>
>
> $ sudo apt-get update && apt-get update
>
> and let us know the result.
>
>
>
Seems to be worse than that. I have
System|Administration|Software Sources|Debian Software

Can somebody give me a list of ubuntu repos to put in sources.list?
--
=======================
Fantasy Football Rules:
Wands are Offensive.
Wings are Defensive.
=======================

--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
 
Old 11-02-2009, 10:47 PM
Leonard Chatagnier
 
Default Dist Upgrade

--- On Mon, 11/2/09, NoOp <glgxg@sbcglobal.net> wrote:

> From: NoOp <glgxg@sbcglobal.net>
> Subject: Re: Dist Upgrade
> To: ubuntu-users@lists.ubuntu.com
> Date: Monday, November 2, 2009, 5:29 PM
> On 11/02/2009 03:17 PM, Emil Payne
> wrote:
> >
> >
> > NoOp wrote:
> >> On 11/02/2009 12:06 PM, Emil Payne wrote:
> >> ..
> >>> What the heck is lenny doing in there?* I
> don't see lenny in my
> >>> repository lists anywhere.
> >>>
> >>> Dell-Mint john # apt-get update
> >>> Ign http://ftp.us.debian.org
> karmic-proposed-updates Release.gpg
> >>> Get:1 http://http.us.debian.org lenny
> Release.gpg [1032B]
> >>
> >> Umm... why is your repository target set for
> us.debian.org?
> >>
> >>
> >>
> >>
> > I don't know.* I used synaptic to re-install
> update-manager in case
> > there was a problem and it wiped out all my third
> party repositories
> > like medibuntu, so I just used it bare hoping to get
> an upgrade.
> > Synaptic showed no new upgrades or even updates, but
> update-manager
> > showed a bunch of upgrades.* Now it is telling me
> things like it is
> > unable to upgrade from lenny to jaunty.*
> etc/apt/sources.list and
> > ./sources.list.saves all have "karmic" listed as the
> distro.
> >
> >
>
> Doesn't matter if it says karmic etc., at this point. You
> need to change
> from us.debian.org. Use System|Administration|Software
> Sources|Ubuntu
> Software and change the 'Download from:' to 'Main server',
> then 'Close',
> then 'Reload'. You can of course modify sources.list, but
> for now I'd
> just recommend you use the above.
>
> Now, from a terminal (get out of root mode and go back to a
> standard
> user mode):
>
>
> $ sudo apt-get update && apt-get update
>
> and let us know the result.
>

Do you not mean:
sudo apt-get update && sudo apt-get upgrade
instead. IME, the second command will not run without root privileges and I don't think you want to run update twice. HTH,
>
Leonard Chatagnier
lenc5570@sbcglobal.net


--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
 
Old 11-02-2009, 10:56 PM
NoOp
 
Default Dist Upgrade

On 11/02/2009 03:41 PM, Emil Payne wrote:
>
>
> NoOp wrote:
>> On 11/02/2009 03:17 PM, Emil Payne wrote:
>>>
>>> NoOp wrote:
>>>> On 11/02/2009 12:06 PM, Emil Payne wrote:
>>>> ..
>>>>> What the heck is lenny doing in there? I don't see lenny in my
>>>>> repository lists anywhere.
>>>>>
>>>>> Dell-Mint john # apt-get update
>>>>> Ign http://ftp.us.debian.org karmic-proposed-updates Release.gpg
>>>>> Get:1 http://http.us.debian.org lenny Release.gpg [1032B]
>>>> Umm... why is your repository target set for us.debian.org?
>>>>
>>>>
>>>>
>>>>
>>> I don't know. I used synaptic to re-install update-manager in case
>>> there was a problem and it wiped out all my third party repositories
>>> like medibuntu, so I just used it bare hoping to get an upgrade.
>>> Synaptic showed no new upgrades or even updates, but update-manager
>>> showed a bunch of upgrades. Now it is telling me things like it is
>>> unable to upgrade from lenny to jaunty. etc/apt/sources.list and
>>> ./sources.list.saves all have "karmic" listed as the distro.
>>>
>>>
>>
>> Doesn't matter if it says karmic etc., at this point. You need to change
>> from us.debian.org. Use System|Administration|Software Sources|Ubuntu
>> Software and change the 'Download from:' to 'Main server', then 'Close',
>> then 'Reload'. You can of course modify sources.list, but for now I'd
>> just recommend you use the above.
>>
>> Now, from a terminal (get out of root mode and go back to a standard
>> user mode):
>>
>>
>> $ sudo apt-get update && apt-get update
>>
>> and let us know the result.
>>
>>
>>
> Seems to be worse than that. I have
> System|Administration|Software Sources|Debian Software
>
> Can somebody give me a list of ubuntu repos to put in sources.list?

Appears that for some reason you've installed debian. I'd say that your
install is pretty well borked. Backup any data that you need from your
home folders *first*, and then if you'd like to try recovering:

$ gksu gedit /etc/apt/sources.list

mass replace us.debian.org with archive.ubuntu.com. Then post your
sources.list before doing anything else.

Note: the best bet IMO) is to do an in place reinstall. Don't use
karmic, use the liveCD for Jaunty. See the archives on how I did this
with my previous tests:
https://lists.ubuntu.com/archives/ubuntu-users/2009-May/185513.html
https://lists.ubuntu.com/archives/ubuntu-users/2009-May/185495.html


In those tests I went back & forth between hardy and jaunty & still
maintained my home folders. I've not tried the same on karmic because
the beta livecd had issues & I've not had time to download and try the
released karmic livecd.





--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
 
Old 11-02-2009, 10:58 PM
Leonard Chatagnier
 
Default Dist Upgrade

--- On Mon, 11/2/09, Emil Payne <EHSPayne@angelwoodpines.org> wrote:

> From: Emil Payne <EHSPayne@angelwoodpines.org>
> Subject: Re: Dist Upgrade
> To: "Ubuntu user technical support, not for general discussions" <ubuntu-users@lists.ubuntu.com>
> Date: Monday, November 2, 2009, 5:17 PM
>
>
> NoOp wrote:
> > On 11/02/2009 12:06 PM, Emil Payne wrote:
> > ..
> >> What the heck is lenny doing in there?* I
> don't see lenny in my
> >> repository lists anywhere.
> >>
> >> Dell-Mint john # apt-get update
> >> Ign http://ftp.us.debian.org
> karmic-proposed-updates Release.gpg
> >> Get:1 http://http.us.debian.org lenny
> Release.gpg [1032B]
> >
> > Umm... why is your repository target set for
> us.debian.org?
> >
> >
> >
> >
> I don't know.* I used synaptic to re-install
> update-manager in case
> there was a problem and it wiped out all my third party
> repositories
> like medibuntu, so I just used it bare hoping to get an
> upgrade.
> Synaptic showed no new upgrades or even updates, but
> update-manager
> showed a bunch of upgrades.* Now it is telling me
> things like it is
> unable to upgrade from lenny to jaunty.*
> etc/apt/sources.list and
> ./sources.list.saves all have "karmic" listed as the
> distro.
>
I think that when you reinstall update-manager, you start off with the basic Karmic repos, ie., main, restricted, universe and multiverse. You can use software sources from the gui to activate canonical partners, medibuntu and whatever you want to manually add. Of course, you can also do this via sources.list but the gui may be easier. I could be wrong but it seem like every time I upgrade a version only the first tab in software sources is ticked in and I have to add all the rest. It is strange that lenny got into your sources.list without you adding it.
Leonard Chatagnier
lenc5570@sbcglobal.net


--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
 
Old 11-02-2009, 10:59 PM
Emil Payne
 
Default Dist Upgrade

Damn! The system is telling me that I am running Debian Linux 5.0.

Somehow the upgrade did this. How was that possible?

How the heck do I get back to Ubuntu with having to reinstall everything?

--
=======================
Fantasy Football Rules:
Wands are Offensive.
Wings are Defensive.
=======================

--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
 
Old 11-02-2009, 11:04 PM
NoOp
 
Default Dist Upgrade

On 11/02/2009 03:47 PM, Leonard Chatagnier wrote:
>
> --- On Mon, 11/2/09, NoOp <> wrote:
...
>>
>> $ sudo apt-get update && apt-get update
>>
>> and let us know the result.
>>
>
> Do you not mean:
> sudo apt-get update && sudo apt-get upgrade

Yes. Thanks for the catch.


--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
 
Old 11-02-2009, 11:16 PM
Emil Payne
 
Default Dist Upgrade

NoOp wrote:
> On 11/02/2009 03:41 PM, Emil Payne wrote:
>>
>> NoOp wrote:
>>> On 11/02/2009 03:17 PM, Emil Payne wrote:
>>>> NoOp wrote:
>>>>> On 11/02/2009 12:06 PM, Emil Payne wrote:
>>>>> ..
>>>>>> What the heck is lenny doing in there? I don't see lenny in my
>>>>>> repository lists anywhere.
>>>>>>
>>>>>> Dell-Mint john # apt-get update
>>>>>> Ign http://ftp.us.debian.org karmic-proposed-updates Release.gpg
>>>>>> Get:1 http://http.us.debian.org lenny Release.gpg [1032B]
>>>>> Umm... why is your repository target set for us.debian.org?
>>>>>
>>>>>
>>>>>
>>>>>
>>>> I don't know. I used synaptic to re-install update-manager in case
>>>> there was a problem and it wiped out all my third party repositories
>>>> like medibuntu, so I just used it bare hoping to get an upgrade.
>>>> Synaptic showed no new upgrades or even updates, but update-manager
>>>> showed a bunch of upgrades. Now it is telling me things like it is
>>>> unable to upgrade from lenny to jaunty. etc/apt/sources.list and
>>>> ./sources.list.saves all have "karmic" listed as the distro.
>>>>
>>>>
>>> Doesn't matter if it says karmic etc., at this point. You need to change
>>> from us.debian.org. Use System|Administration|Software Sources|Ubuntu
>>> Software and change the 'Download from:' to 'Main server', then 'Close',
>>> then 'Reload'. You can of course modify sources.list, but for now I'd
>>> just recommend you use the above.
>>>
>>> Now, from a terminal (get out of root mode and go back to a standard
>>> user mode):
>>>
>>>
>>> $ sudo apt-get update && apt-get update
>>>
>>> and let us know the result.
>>>
>>>
>>>
>> Seems to be worse than that. I have
>> System|Administration|Software Sources|Debian Software
>>
>> Can somebody give me a list of ubuntu repos to put in sources.list?
>
> Appears that for some reason you've installed debian. I'd say that your
> install is pretty well borked. Backup any data that you need from your
> home folders *first*, and then if you'd like to try recovering:
>
> $ gksu gedit /etc/apt/sources.list
>
> mass replace us.debian.org with archive.ubuntu.com. Then post your
> sources.list before doing anything else.
>
> Note: the best bet IMO) is to do an in place reinstall. Don't use
> karmic, use the liveCD for Jaunty. See the archives on how I did this
> with my previous tests:
> https://lists.ubuntu.com/archives/ubuntu-users/2009-May/185513.html
> https://lists.ubuntu.com/archives/ubuntu-users/2009-May/185495.html
>
>
> In those tests I went back & forth between hardy and jaunty & still
> maintained my home folders. I've not tried the same on karmic because
> the beta livecd had issues & I've not had time to download and try the
> released karmic livecd.
>
>
>
>
>
deb http://archive.ubuntu.com jaunty main contrib non-free

Went ahead and tried and I get 404 errors via synaptic

--
=======================
Fantasy Football Rules:
Wands are Offensive.
Wings are Defensive.
=======================

--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
 

Thread Tools




All times are GMT. The time now is 03:16 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org